## com.google.javascript.jscomp
Class PerformanceTracker

    java.lang.Object
      com.google.javascript.jscomp.PerformanceTracker

    public class PerformanceTracker

extends Object

Nested Class Summary
`static class` | `PerformanceTracker.Stats`

Method Summary
`com.google.common.collect.ImmutableMap<String,Integer>` | `getCodeSizeRecord()`
`com.google.common.collect.ImmutableList<PerformanceTracker.Stats>` | `getLog()`
`com.google.common.collect.ImmutableMap<String,Long>` | `getRuntimeRecord()`
`com.google.common.collect.ImmutableMap<String,PerformanceTracker.Stats>` | `getStats()`
`com.google.common.collect.ImmutableMap<String,Integer>` | `getZippedCodeSizeRecord()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getRuntimeRecord

    public com.google.common.collect.ImmutableMap<String,Long> getRuntimeRecord()

### getStats

    public com.google.common.collect.ImmutableMap<String,PerformanceTracker.Stats> getStats()

### getLog

    public com.google.common.collect.ImmutableList<PerformanceTracker.Stats> getLog()

### getCodeSizeRecord

    public com.google.common.collect.ImmutableMap<String,Integer> getCodeSizeRecord()

### getZippedCodeSizeRecord

    public com.google.common.collect.ImmutableMap<String,Integer> getZippedCodeSizeRecord()